Name:		libbpg
Version:	0.9.8
Release:	%mkrel 3
Summary:	A library of functions for manipulating BPG image format files
License:	LGPLv2+ and BSD
Group:		Graphics/Utilities
Url:		http://bellard.org/bpg/
Source0:	http://bellard.org/bpg/%{name}-%{version}.tar.gz
Patch0:		libbpg-0.9.6-Makefile.patch
BuildRequires:	cmake
BuildRequires:	yasm
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	numa-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(SDL_image)

ExclusiveArch:	%{ix86} x86_64

%description
BPG (Better Portable Graphics) is a image format whose purpose is to
replace the JPEG image format when quality or file size is an issue. Its
main advantages are:

* High compression ratio. Files are much smaller than JPEG for similar quality.
* Supported by most Web browsers with a small Javascript decoder.
* Based on a subset of the HEVC open video compression standard.
* Supports the same chroma formats as JPEG (grayscale, YCbCr 4:2:0, 4:2:2,
  4:4:4) to reduce the losses during the conversion. An alpha channel is
  supported. The RGB, YCgCo and CMYK color spaces are also supported.
* Native support of 8 to 14 bits per channel for a higher dynamic range.
* Lossless compression is supported.
* Various metadata (such as EXIF, ICC profile, XMP) can be included.

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install

%files
%doc ChangeLog README doc html post.js
%{_bindir}/bpgdec
%{_bindir}/bpgenc
%{_bindir}/bpgview


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.9.8-3.mga9
+ Revision: 1839431
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.9.8-2.mga8
+ Revision: 1523311
- Mageia 8 Mass Rebuild

* Sat Mar 02 2019 daviddavid <daviddavid> 0.9.8-1.mga7
+ Revision: 1370981
- new version: 0.9.8

* Sun Sep 23 2018 umeabot <umeabot> 0.9.7-2.mga7
+ Revision: 1298769
- Mageia 7 Mass Rebuild

* Thu May 26 2016 daviddavid <daviddavid> 0.9.7-1.mga6
+ Revision: 1018844
- new version: 0.9.7

* Tue May 10 2016 daviddavid <daviddavid> 0.9.6-2.mga6
+ Revision: 1011963
- restrict arches only for x86 as numa and yasm are not available on arm

* Mon May 09 2016 daviddavid <daviddavid> 0.9.6-1.mga6
+ Revision: 1011650
- initial package libbpg

